/******************************************************************************

   FILE:		main.c

   AUTHOR:	Axiom Manufacturing

	PURPOSE	Functional Test for DEMO9RS08KB12

 ******************************************************************************/
#include <hidef.h>					// for EnableInterrupts macro
#include "derivative.h"				// include peripheral declarations
#include "rs08_periph.h"			// RS08 Peripheral Functions
#include "s08_sci.h"					// S08 SCI Functions


void main(void) {

	byte adc_ch = 0;
		  
	EnableInterrupts; 
	disable_cop();						
	
	update_ics_trim();				// update ICS TRIM value
	tpm_init();							// init TPM
	adc_init();							// init ADC
	ensci();								// enable SCI module
	mcu_init();							// init MCU peripherals

	for(;;) {
	
		sw2_test();						// test for SW2 press
		
		if(SW1 == 0){
			while(SW1 ==0);			// wait for SW release
			adc_ch ^= 1;				// toggle state variable
		}
		
		adc_test(adc_ch);				// test selected ADC input

		if(SCIS1_RDRF)					// if new data available at COM port 
			putchar(ReadSerialPort());	// get data and echo to COM port
	}
}
